### Function

# EDataBook BookCacheSearchData free

since: 3.26

#### Declaration [src]

    void
    e_book_cache_search_data_free (
      gpointer data
    )

#### Description [src]

Frees the `data` structure, previously allocated with `e_book_cache_search_data_new()` or e_book_cache_search_data_copy().

Available since: 3.26

#### Parameters

`data`

  Type: `gpointer`

  An `EBookCacheSearchData`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.